{
#
    terminal demo program

    uses many features similar to the turbo pascal crt unit, including

    - colour support,
    - cursor positioning
    - unbuffered key read
    - read special keys
    - etc
}

{ assumes a terminal with ANSI support and POSIX environment.}

program Console(input, output);

#include "console.inc.pas"

{check re include guard}
#include "console.inc.pas"

const
   strlen =  6;

var
   x, y, i : integer;
   ch      : char;
   namestr : packed array[1..strlen] of char;

begin {console}

   TextBackground(Black);
   TextColor(LightGray);
   ClrScr;
   x := 1;
   y := whereY;
   if y > 10 then y := 1;
   GotoXY(x,y);
   Write('CONSOLE TEST @');
   x := WhereX;
   y := WhereY;
   GotoXY(x,y);
   clreol;
   GotoXY(12,22);
   TextColor(White + Blink);
   Write('The @ sign above is on line ', y, ' at column ', x - 1);
   GotoXY(1,y + 1);
   TextColor(Yellow);
   TextBackground(Green);
   Write('(Bright yellow on green.)  Enter your name (in Bright cyan on blue): ');
   TextColor(LightCyan);
   TextBackground(Blue);
   ClrEol;
   for i := 1 to strlen do begin
      if not eoln then
         Read(NameStr[i])
      else NameStr[i] := ' ';
   end;
   ReadLn;
   writeln('hello, ', NameStr);

   LowVideo;
   Writeln('Test LowVideo, Keypressed and ReadKey - Press an arrow key');
   ch := ReadKey;

   { mostly portable, but other systems might not return the same key codes }

   if not keyPressed then begin
      If ch = chr(27) then Write('Escape')
      else If ch = chr(9) then Write('Tab')
      else If ch = chr(8) then Write('Backspace')
      else writeln('You pressed ''', ch, '''');
      end
   else begin
      TextColor(White + Blink);
      Write(' Special key ');
      ch := ReadKey;
      TextColor(cyan);
      if ch = '[' then begin
         ch := ReadKey;
         if ch = 'A' then
            writeln('You pressed UP arrow')
         else if ch = 'B' then
            writeln('You pressed DOWN arrow')
         else if ch = 'C' then
            writeln('You pressed RIGHT arrow')
         else if ch = 'D' then
            writeln('You pressed LEFT arrow')
         else begin
            write(' not an arrow key, code is --> ''^[[', ch);
            while keyPressed do write(ReadKey);
            writeln('''');
         end;
      end
         else begin
            write(' not an arrow key, code is --> ''^[', ch );
            while keyPressed do write(ReadKey);
            writeln('''');
         end;
   end;

   WriteLn;
   HighVideo;
   WriteLn('Test HighVideo and ReadKey - Press another key');
   ch := ReadKey;
   If keypressed then begin
      Write('special character ^[');
      while keyPressed do write(ReadKey);
   end
   else If ch = chr(27) then Write('Escape')
   else If ch = chr(9) then Write('Tab')
   else If ch = chr(8) then Write('Backspace')
   else Write('--> you pressed ''', ch, '''');
   writeln;
   GotoXY(1,22);
   LowVideo;
   ClrEol;
   Writeln('Test of ClrEol - Press a key');
   ch := ReadKey;
   while keypressed do ch := ReadKey;
   TextColor(White);
   TextBackground(Red);
   GotoXY(1,22);
   ClrEol;
   Write('All gone in white on red');
   Writeln('    Press any key');
   ch := ReadKey;
   writeln;
   while keypressed do ch := ReadKey;
   GotoXY(1,22);
   NormVideo;
   ClrEol;
   Writeln('Press space bar for color demo');
   repeat
      ch := ReadKey;
   until ch = ' ';
   for i := 0 to 7 do begin
      GotoXY(1,i + 1);
      TextColor(i);
      TextBackground(Black);
      ClrEol;
      Write('TextColor ',i);
      TextColor(i + 8);
      Write(' TextColor ',i + 8:2);
      TextColor(i + Blink);
      Write(' TextColor ',i + Blink);
      TextColor(i + 8 + Blink);
      Write(' TextColor ',i + 8 + Blink);
      TextBackground(i);
      ClrEol;
      TextColor(White);
      Write('  TextBackground ',i);
   end;
   TextBackground(Black);
   LowVideo;
   WriteLn;
   WriteLn;

   GotoXY(1,23);
   ClrEol;
   Write('Finished - press carriage return');
   readln;
   normVideo;
   ClrScr;
   gotoxy(1,1);
   NormVideo;
end.


{%%%%%%%%%%%%%%%%%%%%%%%%%%%%% end of console.pas %%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
