program hello(output);

#include <clib.inc.pas>

{ enhanced hello world with command line processing }

const
   n =  20;

var
   str : packed array[1..n] of char;
   argstring : packed array[1..50] of char;

   i   : integer;
   c   : char;

begin

   argv( 0, str );
   writeln( 'Hello world, this is program ', str );
   writeln;
   if argc = 1 then begin
      writeln('there are no command line parameters');
   end
   else begin
      writeln( 'there are ', argc-1:1, ' command line parameters:' );
      for i := 1 to argc-1 do begin
         argv(i, str);
         writeln( ' argv[', i:1, '] is ''', str, '''' );
      end; {for}

      writeln; writeln;

      repeat
         writeln('optind is ', optind);
         i := getopt('qwert:y', argstring);
         if i <> -1 then begin
            c := chr(i);
            if c = '?' then
               writeln('unknown option, ''', chr(optopt), ''', opterr is ', opterr)
            else if c = 't' then
               writeln('option is ''t'', arg is ''', argstring, '''')
            else
               writeln('option is ''', c, ''', ', i);
         end; { if }
         opterr := 0;  // now hide error messages
      until i = -1;
      writeln('no more options');

      if argc > optind then begin
         writeln( 'the remaining command line parameters are:' );
         for i := optind to argc-1 do begin
            argv(i, str);
            writeln( 'argv[', i:1, '] is ''', str, '''' );
         end; {for}
      end; {if}

   end; {if}

end.
